Loading...
Searching...
No Matches
CoefficientField Struct Reference

Concept describing the requirements for a class to represent a field of coefficients to compute persistent homology. More...

`#include <concept/Persistent_cohomology/CoefficientField.h>`

## Public Types

typedef unspecified | Element
| Type of element of the field.

## Public Member Functions

| CoefficientField ()
Element | characteristic ()
Element | multiplicative_identity ()
Element | additive_identity ()
void | plus_equal (Element x, Element y)

## Detailed Description

Concept describing the requirements for a class to represent a field of coefficients to compute persistent homology.

## Member Typedef Documentation

## Element

typedef unspecified CoefficientField::Element

Type of element of the field.

Must be Assignable.

## Constructor & Destructor Documentation

## CoefficientField()

CoefficientField::CoefficientField | ( |  | ) |

Default constructible.

## Member Function Documentation

## additive_identity()

Element CoefficientField::additive_identity | ( |  | ) |

Return the element 0 of the field.

## characteristic()

Element CoefficientField::characteristic | ( |  | ) |

Return the characteristic of the field.

## multiplicative_identity()

Element CoefficientField::multiplicative_identity | ( |  | ) |

Return the element 1 of the field.

## plus_equal()

void CoefficientField::plus_equal | ( | Element | x,
|  | Element | y )

Assign: x <- x + y

The documentation for this struct was generated from the following file:

- concept/Persistent_cohomology/CoefficientField.h